# Angular + Bryntum Scheduler Wrapper - Test Harness
This example uses Bryntum Scheduler wrapped in the provided BryntumSchedulerComponent wrapper.

## Main Features of Bryntum Scheduler Utilized

-   Drag Create
-   Drag Resize (contract & expand)
-   Drag Move
-   Infinite Scroll
-   View Presets for Day, Week, Month with custom renderers
-   ScrollToNow
-   Row Reorder
-   EventRender - Assignment (HourEntry), Project and Phase (Task)

## Things to Note

-   This project was generated with [Angular CLI](https://github.com/angular/angular-cli) v13 as it's based on Bryntum's Angular Examples.
-   Bryntum DateHelper is used vs third-party libraries like moment or date-fns.
-   Bryntum Angular Wrapper was used in favor of pulling in our custom implementation of the wrapper. Our implementation is complex and is specific to our codebase, distracting from the intent of this Test Harness.


# Installation

Use the following command to install the example packages after the successful login.

```shell
$ npm install
```

# Running a development server

To build example and start development server run this command:

```shell
$ npm run start
```

Navigate to `http://localhost:4200/` or `http://127.0.0.1:4200/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

-   Once launched, you can use the default view (Projects)
-   This view allows you to test the tree / nesting of scheduler resources and their associated events.
-   You can use the Today button to jump to the current day within the scheduler, which will default to being centered.
-   The timeline view buttons (Day, Week, Month) will change the viewPreset

